Home

# Class goog.ui.MenuRenderer

Default renderer for {@link goog.ui.Menu}s, based on {@link goog.ui.ContainerRenderer}.

extends goog.ui.ContainerRenderer

Instance Method Summary
| `canDecorate(?Element element) ⇒ boolean` Returns whether the element is a UL or acceptable to our superclass.
| `containsElement(?goog.ui.Menu menu, ?Element element) ⇒ boolean` Returns whether the given element is contained in the menu's DOM.
| `getAriaRole() ⇒ (string|undefined)` Returns the ARIA role to be applied to menus.
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of containers rendered using this renderer.
| `getDecoratorForChild(?Element element) ⇒ ?goog.ui.Control` Inspects the element, and creates an instance of {@link goog.ui.Control} or an appropriate subclass best suited to decorate it. Overrides the superclass implementation by recognizing HR elements as separators.
| `initializeDom(?goog.ui.Container container)` Initializes the container's DOM when the container enters the document. Called from {@link goog.ui.Container#enterDocument}.